module MSP
  # Service Module
  module Service
    # When class method is called
    # Try initializing an object of the class
    # and call the method passed with it's arguments
    def method_missing(method, *args)
      new.send(method.to_sym, *args)
    end
  end
end
