module MSP
  # Singletone Service Module
  module SingletonService
    # When class method is called
    # Try calling the method passed with it's arguments
    # on the singleton instance
    def method_missing(method, *args)
      instance.send(method.to_sym, *args)
    end
  end
end
